$pollTable = 'bury_poll';
$pollTableLog = 'bury_poll_log';


/********************************************************
* CONTENIDO MODUL - INPUT
*
* Modulname   :     Umfrage
* Author      :     Alexander Hhn
* Copyright   :     art & weise medienproduktion
                    info@auw-media.de
* Created     :     16-09-2002
* Modified    :     04-07-2003
* Modified again & again until:   May. 18th 2004 by Lars D. Forseth <lars@forseth.de>
*********************************************************/



/* debugging? */
$debugging = "no";
/* end "debugging?" */


/* debugging stuff */
if ($debugging == "yes") {
  echo "
  - poll_action: $poll_action<br>
  - poll_id_active: $poll_id_active<br>
  - poll_subaction: $poll_subaction<br>
  - poll_reset: $poll_reset<br>
  ";
}
/* end "debugging stuff" */


$db0 = new DB_Contenido;
$db0->query("LOCK TABLES ".$pollTableLog." WRITE,poll_log WRITE;"); // lock tables


switch($poll_action){

//-------------------------- Speichern der Daten in die Tabelle ------------------------------
  case "save_poll" : {


                       if("CMS_VALUE[96]" == "") {$poll_answer3 = " ";}
                       else {
                         $poll_answer3 = "CMS_VALUE[96]";
                         $poll_answer3 = str_replace (";","",$poll_answer3);
                         $poll_answer3 = str_replace ("--","",$poll_answer3);
                         $poll_answer3 = str_replace ("'","",$poll_answer3);
                         $poll_answer3 = htmlentities($poll_answer3);
                       }
                       if("CMS_VALUE[95]" == "") {$poll_answer4 = " ";}
                       else {
                         $poll_answer4 = "CMS_VALUE[95]";
                         $poll_answer4 = str_replace (";","",$poll_answer4);
                         $poll_answer4 = str_replace ("--","",$poll_answer4);
                         $poll_answer4 = str_replace ("'","",$poll_answer4);
                         $poll_answer4 = htmlentities($poll_answer4);
                       }
                       if($CMS_VAR[94] == "") {$poll_answer5 = " ";}
                       else {
                         $poll_answer5 = $CMS_VAR[94];
                         $poll_answer5 = str_replace (";","",$poll_answer5);
                         $poll_answer5 = str_replace ("--","",$poll_answer5);
                         $poll_answer5 = str_replace ("'","",$poll_answer5);
                         $poll_answer5 = htmlentities($poll_answer5);
                       }
                       if($CMS_VAR[93] == "") {$poll_answer6 = " ";}
                       else {
                         $poll_answer6 = $CMS_VAR[93];
                         $poll_answer6 = str_replace (";","",$poll_answer6);
                         $poll_answer6 = str_replace ("--","",$poll_answer6);
                         $poll_answer6 = str_replace ("'","",$poll_answer6);
                         $poll_answer6 = htmlentities($poll_answer6);
                       }

                       /* filter given data */
                       $poll_question = str_replace (";","","CMS_VALUE[99]");
                       $poll_question = str_replace ("--","",$poll_question);
                       $poll_question = str_replace ("'","",$poll_question);
                       $poll_question = htmlentities($poll_question);

                       $poll_answer1 = "CMS_VALUE[98]";
                       $poll_answer1 = str_replace (";","",$poll_answer1);
                       $poll_answer1 = str_replace ("--","",$poll_answer1);
                       $poll_answer1 = str_replace ("'","",$poll_answer1);
                       $poll_answer1 = htmlentities($poll_answer1);

                       $poll_answer2 = "CMS_VALUE[97]";
                       $poll_answer2 = str_replace (";","",$poll_answer2);
                       $poll_answer2 = str_replace ("--","",$poll_answer2);
                       $poll_answer2 = str_replace ("'","",$poll_answer2);
                       $poll_answer2 = htmlentities($poll_answer2);

                       $db1 = new DB_Contenido;


                       /* if one tries to edit a non-existing poll, let him create it as a new poll */
                       if (($poll_id_active <= 0) and ($poll_subaction == "edit_poll")) {
                         $poll_subaction = "new_poll";
                       }
                       if ($debugging == "yes") echo "- poll_subaction: $poll_subaction<br>";
                       /* end "if one tries to edit a non-existing poll, let him create it as a new poll" */



                       /* create new poll */
                       if ($poll_subaction == "new_poll") {
                         $sql1 = "INSERT INTO ".$pollTable." VALUES (\"\", \"".$poll_question."\", ".
                                 "\"".$poll_answer1."\", \"".$poll_answer2."\", \"".$poll_answer3.
                                 "\", \"".$poll_answer4."\", \"".$poll_answer5."\", \"".$poll_answer6.
                                 "\", \"0\");";
                         $db1->query($sql1);
                       }
                       /* end "create new poll" */


                       /* edit existing poll */
                       if ($poll_subaction == "edit_poll") {
                         $sql1 = "UPDATE ".$pollTable." SET poll_question=\"".$poll_question."\", ".
                                 "poll_answer1=\"".$poll_answer1."\", poll_answer2=\"".$poll_answer2."\", ".
                                 "poll_answer3=\"".$poll_answer3."\", poll_answer4=\"".$poll_answer4."\", ".
                                 "poll_answer5=\"".$poll_answer5."\", poll_answer6=\"".$poll_answer6."\", ".
                                 "poll_active=1 WHERE poll_id=".$poll_id_active.";";
                         $db1->query($sql1);
                       }
                       /* end "edit existing poll" */


                       /* reset vote counter */
                       if($poll_reset == "yes") {
                         $sql1_2 = "DELETE FROM ".$pollTableLog." WHERE poll_id=".$poll_id_active.";";
                         $db1->query($sql1_2);
                       }
                       /* end "reset vote counter" */

                     } // end " case "save_poll" "


  case "activate_poll" :     {

//--------------------------- Aktivieren der gewnschten Frage --------------------------------
                      $poll_question = str_replace (";","","CMS_VALUE[92]");
                      $poll_question = str_replace ("--","",$poll_question);
                      $poll_question = str_replace ("'","",$poll_question);
                      $poll_question = htmlentities($poll_question);

                      $db3 = new DB_Contenido;
                      $db3->query("UPDATE ".$pollTable." SET poll_active=0;");
                      $db3->query("UPDATE ".$pollTable." SET poll_active=1 WHERE poll_question=\"".$poll_question."\";");

                      break;
                     } // end " case "activate_poll" "
  } //  end switch




echo "

<!-- start Umfragenmodul backend -->

<table>
";
echo "  <tr bgcolor=\"#FFFFE0\">
         <td colspan='2'>
          <font size='2' face='Verdana'>
           <b>HINWEISE:</b><br><br>
           <font color=\"darkblue\"><p style=\"padding-left: 10px;\">
           Durch &quot;Speichern&quot; wird die aktuelle Umfrage nicht aktiviert,<br>
           sondern nur in der Datenbank gespeichert.<br>
           Eine Umfrage bearbeiten oder neu anlegen, geht natrlich nur,<br>
           wenn die entsprechende Option ausgewhlt und dann auf <br>
           &quot;Speichern&quot; geklickt wurde!<br>
           Eine Umfrage aktivieren kann man, in dem man sie <br>
           in dem Drop-Down-Men auswhlt und dann auf &quot;Aktivieren&quot; klickt.<br>
           </p></font>
          </font>
         </td>
        </tr>";
echo "<tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>";

$db2 = new DB_Contenido;
$sql2 = "SELECT * FROM ".$pollTable." WHERE poll_active=1;";
$db2->query($sql2);
$db2->next_record();
$poll_question_active   = $db2->f("poll_question");
$poll_answer1_active    = $db2->f("poll_answer1");
$poll_answer2_active    = $db2->f("poll_answer2");
$poll_answer3_active    = $db2->f("poll_answer3");
$poll_answer4_active    = $db2->f("poll_answer4");
$poll_answer5_active    = $db2->f("poll_answer5");
$poll_answer6_active    = $db2->f("poll_answer6");
$poll_id_active         = $db2->f("poll_id");

echo "  <tr bgcolor=\"#FFFFE0\">
         <td colspan='2'>
          <font size='2' face='Verdana'><b>
           Momentan ist folgende Umfrage aktiv:<br>
           <i style=\"padding-left: 10px;\">\"$poll_question_active\"</i>
          </b></font>
         </td>
        </tr>
        ";



echo "
     <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>";
echo "
    <tr>
        <td colspan=\"2\">
         <u>Aktion:</u><br><br>
         <input type=\"radio\" name=\"poll_action\" value=\"save_poll\">
         &nbsp;&nbsp;Umfrage mit eine der beiden folgenden Funktionen abspeichern:
         <p style=\"padding-left: 30px;\">
         <input type=\"radio\" name=\"poll_subaction\" value=\"edit_poll\">
         &nbsp;&nbsp;momentan aktive Umfrage bearbeiten
         <br>
         <input type=\"radio\" name=\"poll_subaction\" value=\"new_poll\">
         &nbsp;&nbsp;neue Umfrage anlegen
         </p>
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td>Frage :</td>
        <td><input type=\"text\" name=\"CMS_VAR[99]\" value=\"$poll_question_active\"></td>
    </tr>
    <tr>
        <td>Antwort 1 :</td>
        <td><input type=\"text\" name=\"CMS_VAR[98]\" value=\"$poll_answer1_active\"></td>
    </tr>
    <tr>
        <td>Antwort 2 :</td>
        <td><input type=\"text\" name=\"CMS_VAR[97]\" value=\"$poll_answer2_active\"></td>
    </tr>
    <tr>
        <td>Antwort 3:</td>
        <td><input type=\"text\" name=\"CMS_VAR[96]\" value=\"$poll_answer3_active\"></td>
    </tr>
    <tr>
        <td>Antwort 4 :</td>
        <td><input type=\"text\" name=\"CMS_VAR[95]\" value=\"$poll_answer4_active\"></td>
    </tr>
    <tr>
        <td>Antwort 5 :</td>
        <td><input type=\"text\" name=\"CMS_VAR[94]\" value=\"$poll_answer5_active\"></td>
    </tr>
    <tr>
        <td>Antwort 6 :</td>
        <td><input type=\"text\" name=\"CMS_VAR[93]\" value=\"$poll_answer6_active\"></td>
    </tr>
    <tr>
     <td> Alle Z&auml;hler auf 0 setzen:</td>
     <td><input type=\"checkbox\" name=\"poll_reset\" value=\"yes\"></td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>

    <tr>
        <td>&nbsp;</td>
        <td>
         <input type=\"hidden\" name=\"poll_id_active\" value=\"$poll_id_active\">
        </td>
    </tr>
    <tr>
        <td colspan=\"2\"><center>";



//---------------------- Darstellung aller Umfragen in einer drop-down Liste --------------------------------

$db4 = new DB_Contenido;
$db4->query("SELECT * FROM ".$pollTable.";");
$db4->next_record();
$test = $db4->f("poll_id");

if (!$test) {
  $sql4 = "CREATE TABLE ".$pollTable." (poll_id int(11) NOT NULL auto_increment, poll_question text NOT NULL, ".
          "poll_answer1 text NOT NULL, poll_answer2 text NOT NULL, poll_answer3 text NOT NULL, ".
          "poll_answer4 text NOT NULL, poll_answer5 text NOT NULL, poll_answer6 text NOT NULL, ".
          "poll_active int(1) default NULL, PRIMARY KEY  (poll_id) ) TYPE=MyISAM;";
  $db4->query("SELECT * FROM ".$pollTable.";");
  $db4->next_record();
} // if DB doesn't exist yet, create it

echo "
         <input type=\"radio\" name=\"poll_action\" value=\"activate_poll\">
         &nbsp;&nbsp;Umfrage aus der Liste auswhlen und aktivieren:
         <br>
         <select name=\"CMS_VAR[92]\" size=\"1\">";

for($i=0; $i<$db4->num_rows(); $i++){
  if(($db4->f("poll_id")) == $poll_id_active) {$a = " selected";}
  else {$a = "";}
  echo "
          <option value=\"".$db4->f("poll_question")."\"$a>".$db4->f("poll_question")."</option>";
  $db4->next_record();
} // end for

echo "
         </select>" ;

echo "
        </td>
    </tr>
    <tr>
     <td colspan=\"2\">
      <center>
    ";




/* print statistic of current poll */

if ($poll_id_active > 0) {

$db = new DB_Contenido;

$db->query("SELECT COUNT(*) FROM ".$pollTableLog." WHERE poll_id=$poll_id_active;");
$db->next_record();
$test = $db->f("COUNT(*)");

if ($test > 0) {


$db->query("SELECT COUNT(*) FROM ".$pollTableLog." WHERE poll_id=$poll_id_active and user_vote=1;");
$db->next_record();
$result1 = $db->f("COUNT(*)");

$db->query("SELECT COUNT(*) FROM ".$pollTableLog." WHERE poll_id=$poll_id_active and user_vote=2;");
$db->next_record();
$result2 = $db->f("COUNT(*)");

$db->query("SELECT COUNT(*) FROM ".$pollTableLog." WHERE poll_id=$poll_id_active and user_vote=3;");
$db->next_record();
$result3 = $db->f("COUNT(*)");

$db->query("SELECT COUNT(*) FROM ".$pollTableLog." WHERE poll_id=$poll_id_active and user_vote=4;");
$db->next_record();
$result4 = $db->f("COUNT(*)");

$db->query("SELECT COUNT(*) FROM ".$pollTableLog." WHERE poll_id=$poll_id_active and user_vote=5;");
$db->next_record();
$result5 = $db->f("COUNT(*)");

$db->query("SELECT COUNT(*) FROM ".$pollTableLog." WHERE poll_id=$poll_id_active and user_vote=6;");
$db->next_record();
$result6 = $db->f("COUNT(*)");

$total = $result1+$result2+$result3+$result4+$result5+$result6;

echo "
  <br><br>
  <p style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><b>Statistik der momentan aktiven Umfrage:</b></p>
  <br><br>
  <table width=\"165\" cellspacing=\"0\" cellpadding=\"2\" style=\"BORDER-RIGHT: #000000 1px solid; BORDER-TOP: #000000 1px solid;
        MARGIN-BOTTOM: 3pt; BORDER-LEFT: #000000 1px solid; BORDER-BOTTOM: #000000 1px solid;
        BACKGROUND-COLOR: #efefef;\">";

echo "
   <tr style=\"padding-left: 8px; padding-right: 8x; padding-top: 5px; padding-bottom: 3px;
        font-family: Verdana; font-size: 10pt; color: darkblue; BACKGROUND-COLOR: #efefef;\"><td>".$poll_question_active."</td></tr><tr><td>&nbsp;</td></tr>";

echo "
   <tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td><i><u>Gesamt:</u> ".$total." Stimmen</i></td></tr><tr><td>&nbsp;</td></tr>";


if (($result1 > 0) and ($total > 0)) $percent = round(((100*$result1)/$total), 2);
if($result1!="0") $color1= "cornflowerblue";
if ($percent < 5.00) $color1 = "";
echo "
   <tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td>\"<b>".$poll_answer1_active."</b>\" (".$result1.") :</td></tr>";
echo "
   <tr><td>
    <table><tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td bgcolor=\"".$color1."\" width=\"".$percent."\">&nbsp;</td></tr></table>";
echo "
   </td></tr>
  ";

if (($result2 > 0) and ($total > 0)) $percent = round(((100*$result2)/$total), 2);
if($result2!="0") $color2= "skyblue";
if ($percent < 5.00) $color2 = "";
echo "
   <tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td>\"<b>".$poll_answer2_active."</b>\" (".$result2.") :</td></tr>";
echo "
   <tr><td>
    <table><tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td bgcolor=\"".$color2."\" width=\"".$percent."\">&nbsp;</td></tr></table>";
echo "
   </td></tr>
  ";

if(strlen($poll_answer3_active) > 1){
  if (($result3 > 0) and ($total > 0)) $percent = round(((100*$result3)/$total), 2);
  if($result3!="0") $color3= "lightskyblue";
  if ($percent < 5.00) $color3 = "";
  echo "
   <tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td>\"<b>".$poll_answer3_active."</b>\" (".$result3.") :</td></tr>";
  echo "
   <tr><td>
    <table><tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td bgcolor=\"".$color3."\" width=\"".$percent."\">&nbsp;</td></tr></table>";
  echo "
   </td></tr>
    ";
}

if(strlen($poll_answer4_active) > 1){
  if (($result4 > 0) and ($total > 0)) $percent = round(((100*$result4)/$total), 2);
  if($result4!="0") $color4= "lightblue";
  if ($percent < 5.00) $color4 = "";
  echo "
   <tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td>\"<b>".$poll_answer4_active."</b>\" (".$result4.") :</td></tr>";
  echo "
   <tr><td>
    <table><tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td bgcolor=\"".$color4."\" width=\"".$percent."\">&nbsp;</td></tr></table>";
  echo "
   </td></tr>
    ";
  }

if(strlen($poll_answer5_active) > 1){
  if (($result5 > 0) and ($total > 0)) $percent = round(((100*$result5)/$total), 2);
  if($result5!="0") $color5= "lightsteelblue";
  if ($percent < 5.00) $color5 = "";
  echo "
   <tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td>\"<b>".$poll_answer5_active."</b>\" (".$result5.") :</td></tr>";
  echo "
   <tr><td>
    <table><tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td bgcolor=\"".$color5."\" width=\"".$percent."\">&nbsp;</td></tr></table>";
  echo "
   </td></tr>
    ";
  }

if(strlen($poll_answer6_active) > 1){
  if (($result6 > 0) and ($total > 0)) $percent = round(((100*$result6)/$total), 2);
  if($result6!="0") $color6= "darkgray";
  if ($percent < 5.00) $color6 = "";
  echo "
   <tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td>\"<b>".$poll_answer6_active."</b>\" (".$result6.") :</td></tr>";
  echo "
   <tr><td>
    <table><tr style=\"FONT-SIZE: 12px; COLOR: #000000;FONT-FAMILY: helvetica, arial, geneva, sans-serif;\"><td bgcolor=\"".$color6."\" width=\"".$percent."\">&nbsp;</td></tr></table>";
  echo "
   </td></tr>
    ";
}


echo "
</table>

";

} // end "if (isset($test))"
} // end "if (isset($poll_id_active))"


/* end of modul*/
echo "
   </center>
  </td>
 </tr>
</table>

<!-- end Umfragenmodul backend -->

";

$db0->query("UNLOCK TABLES;"); // unlock tables
